#***************************************************************************************************
#                              R script for visualising TopoART networks                           *
#                           Created by Marko Tscherepanow, 30 December 2012                        *
#***************************************************************************************************

# Run: source("ShowTopoARTResults.R")

sapply(list.files(pattern="[.]R$", path="functions/", full.names=TRUE), source)

TopoART()

#open trained TopoART network saved as text file
ta<-new("TopoARTNetwork",path="networks/TopoART_AIL12-like_dataset.txt")

#images are saved to images/TA_x.pdf, where x denotes the module (a, b, c, d, or e)
SaveTopoARTPlot(ta)

